ojph::line_buf Struct Reference

`#include <ojph_mem.h>`

## Public Member Functions

template<typename T >
void | pre_alloc (mem_fixed_allocator *p, size_t num_ele, ui32 pre_size)
template<typename T >
void | finalize_alloc (mem_fixed_allocator *p)
template<typename T >
void | wrap (T *buffer, size_t num_ele, ui32 pre_size)
template<>
void | finalize_alloc (mem_fixed_allocator *p)
template<>
void | finalize_alloc (mem_fixed_allocator *p)
template<>
void | wrap (si32 *buffer, size_t num_ele, ui32 pre_size)
template<>
void | wrap (float *buffer, size_t num_ele, ui32 pre_size)

## Public Attributes

size_t | size
ui32 | pre_size
union { |
si32 * i32 |
float * f32 |
}; |  |

## Member Function Documentation

## finalize_alloc() [1/3]

template<typename T >

void ojph::line_buf::finalize_alloc | ( | mem_fixed_allocator * | p | ) |

## finalize_alloc() [2/3]

template<>

void ojph::line_buf::finalize_alloc | ( | mem_fixed_allocator * | p | ) |

References i32, ojph::mem_fixed_allocator::post_alloc_data(), pre_size, and size.

## finalize_alloc() [3/3]

template<>

void ojph::line_buf::finalize_alloc | ( | mem_fixed_allocator * | p | ) |

References f32, ojph::mem_fixed_allocator::post_alloc_data(), pre_size, and size.

## pre_alloc()

template<typename T >

void ojph::line_buf::pre_alloc | ( | mem_fixed_allocator * | p,
|  | size_t | num_ele,
|  | ui32 | pre_size
| ) |  |

inline

References ojph::mem_fixed_allocator::pre_alloc_data(), pre_size, and size.

## wrap() [1/3]

template<>

void ojph::line_buf::wrap | ( | float * | buffer,
|  | size_t | num_ele,
|  | ui32 | pre_size
| ) |  |

References f32, pre_size, and size.

## wrap() [2/3]

template<>

void ojph::line_buf::wrap | ( | si32 * | buffer,
|  | size_t | num_ele,
|  | ui32 | pre_size
| ) |  |

References i32, pre_size, and size.

## wrap() [3/3]

template<typename T >

void ojph::line_buf::wrap | ( | T * | buffer,
|  | size_t | num_ele,
|  | ui32 | pre_size
| ) |  |

## Member Data Documentation

## [union]

union { ... } ojph::line_buf

## f32

float* ojph::line_buf::f32

Referenced by finalize_alloc(), and wrap().

## i32

si32* ojph::line_buf::i32

Referenced by finalize_alloc(), and wrap().

## pre_size

ui32 ojph::line_buf::pre_size

Referenced by finalize_alloc(), pre_alloc(), wrap(), and wrap().

## size

size_t ojph::line_buf::size

Referenced by finalize_alloc(), pre_alloc(), wrap(), and wrap().

The documentation for this struct was generated from the following files:

- ojph_mem.h
- ojph_mem.cpp